#ifndef IZ_CONFIG_MAPPING_H
#define IZ_CONFIG_MAPPING_H

/**
 * Structure that defines the application's input configuration.
 */
typedef struct {
	/**
	 * Mapping of keyboard scan codes to each action.
	 */
	unsigned int keyboard[16];
	/**
	 * Mapping of joystick buttons to each action.
	 *
	 * Note: directional actions are not included here.
	 */
	unsigned int joystick[12];
} IZ_ConfigMapping;

#endif
